#
# spec file for package fwnn (Version 1.1.1a017)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  termcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit termcap texinfo textutils timezone unzip util-linux vim

Name:         fwnn
%define base_version 1.1.1
%define alpha_version a017
Copyright:    GPL
Group:        Applications/System
Requires:     fwnncom
# Provides:    
# Obsoletes:
Conflicts:    wnn6
Prereq:       /usr/sbin/useradd
Autoreqprov:  on
Version:      1.1.1a017
Release:      77
URL:          http://www.freewnn.org
Buildroot:    %{_tmppath}/%{name}-root
Summary:      FreeWnn Japanese Input System - Server only
Source:  ftp://ftp.etl.go.jp/pub/FreeWnn/alpha/FreeWnn-%{base_version}-%{alpha_version}.tar.bz2
Source2: rcfwnn
Source3: rc.config.fwnn
Source4: rcfcwnn
Source5: rc.config.fcwnn
Source6: rcftwnn
Source7: rc.config.ftwnn
Source8: rcfkwnn
Source9: rc.config.fkwnn
Patch0: FreeWnn-fsstnd.patch
Patch1: FreeWnn-ja.patch
Patch2: FreeWnn-noroot.patch
Patch3: FreeWnn-sighandler.patch
Patch4: FreeWnn-uum.patch
Patch5: FreeWnn-%{base_version}-%{alpha_version}.dif
# Summary(ja):  FreeWnn ܸϥƥ - ФΤ
# %description  -l ja
# 
# ףʤ̡ˤȤϡ ءҡҥƥå
# ˤäƶƱȯ졢 1987ǯ˴ UNIXΤʴѴƥࡣ
# ߤǤϡFreeWnn ץȤȯȰݻ򤷤ޤ
# (http://www.freewnn.org)
# 
# 
# Watashino Namaeha Nakanodesuʻ̾ǤˤȤʸϤΰѴ
# Ǥ ϡʸϤѴǤ뤳ȤϲŪä˥ƥ Ȥ
# ȤǡʸγʸƬʸȤä̾դ줿 ø 񤫤
# ɤ̵ۤ줿Ȥ顢¿Υơ 
# Ȥ褦ˤʤꡢߤǤϡUNIXΤʴѴƥ ǥեȡ
# ɡʻ¾ɸˤȤʤäƤ롣 ֤ħϥ饤ȡ
# ѤƤ뤳Ȥǡ ʬjserverˤϡ X Window
# System ϥƥǤxwnmo ʴѴ󥸥ȤƤ䡢
# Nemacs/ Mule Τޤegg ΤʴѴ󥸥ȤơȤƤ롣
# 
# 
# ΥѥåˤܸϥФΤߴޤޤޤ

%description 
FreeWnn is a Kana-Kanji translation system, originally developed by a
joint project formed by Kyoto University, OMRON Corporation [formerly
known as Tateishi Electronics Co.], and ASTEC Inc. Further
developement and maintenance is now done by the "FreeWnn Project"
(http://www.freewnn.org).
The name "Wnn", is an acronym for the Japanese sentence "Watashino
Namaeha Nakanodesu" (literally, it means "my name is Nakano."), is
derived from a goal of the project: to develop a system powerful
enough to translate a whole sentence like that at once.  The source
code has been written in C, and was distributed freely. Consequently,
Wnn spread widely among workstation platforms, and became a de-facto
standard as a Kana-Kanji translation system for UNIX operation
systems.
Wnn works in client-server manner. The server portion of Wnn, or
jserver, is used as a Kana-Kanji translation engine for clients like
"xwnmo" and "kinput2" (input systems for the X Window System), or for
clients like "Egg", which is part of Mule (=Multi lingual Emacs) and
XEmacs.
This package contains only the Japanese server.

SuSE series: j

%package -n fwnndev
Group:   Development/Libraries
Summary:      Development library and header files for FreeWnn
# Summary(ja): FreeWnn ѳȯ饤֥ȥإåե
# %description -n fwnndev -l ja
# 
# Υѥåˤ FreeWnn Ѥܸ client 򥳥ѥ뤹
# ɬפʥإåեȥ饤֥꤬ޤޤƤޤ

%description -n fwnndev
This package contains the header files and libraries for building
client programs which use FreeWnn for Japanese input.

SuSE series: j

%package -n fwnncom
Summary:      common files for FreeWnn
Group:   Applications/System

%description -n fwnncom
This package includes files you need to run FreeWnn, Free cWnn, Free
tWnn or Free kWnn.  Install this package if you will be using any part
of the Wnn System.

SuSE series: j

%package -n fcwnn
Group:    Applications/System
Requires: fwnncom, fcwnncom
Prereq:   /usr/sbin/useradd
Summary:      Free cWnn Chinese Input System (mainland China)
# Summary(ja): Free cWnn ϥƥ (ڿ̱¹)
# %description -n fcwnn -l ja
# 
# Free cWnn ϥƥ (ڿ̱¹)

%description -n fcwnn
Free cWnn Chinese Input System (mainland China)

SuSE series: j

%package -n fcwnncom
Summary:      Free cWnn/tWnn Chinese Input System common files (mainland/Taiwan)
Group:    Applications/System
Requires: fwnncom
Prereq:   /usr/sbin/useradd

%description -n fcwnncom
This package includes the common files for the Free cWnn and Free tWnn
Chinese Input Systems. Free cWnn is for mainland Chinese, Free tWnn
is for Taiwan-Chinese.

SuSE series: j

%package -n fcwnndev
Group: Development/Libraries
Summary:      Development libraries and header files for Free cWnn
# Summary(ja): Free cWnn ѳȯ饤֥ȥإåե
# %description -n fcwnndev -l ja
# 
# Υѥåˤ Free cWnn Ѥץ򥳥ѥ뤹뤿
# ɬפʥإåեȥ饤֥ޤǤޤ

%description -n fcwnndev
This package contains the header files and libraries for building
client programs that use the Chinese Input System Free cWnn.

SuSE series: j

%package -n ftwnn
Summary:      Free tWnn Chinese Input System (Taiwan)
Group:    Applications/System
Requires: fwnncom, fcwnncom
Prereq:   /usr/sbin/useradd
# Summary(ja): Free tWnn ϥƥ ()
# %description -n ftwnn -l ja
# 
# Free tWnn ϥƥ ()

%description -n ftwnn
Free tWnn Chinese Input System (Taiwan)

SuSE series: j

%package -n fkwnn
Summary:      Free kWnn Korean Input System
Group: Applications/System
Requires: fwnncom
Prereq: /usr/sbin/useradd
# Summary(ja): Free kWnn ڹϥƥ
# %description -n fkwnn -l ja
# 
# Free kWnn ڹϥƥ

%description -n fkwnn
Free kWnn Korean Input System

SuSE series: j

%package -n fkwnndev
Group: Development/Libraries
Summary:      Development libraries and header files for Free kWnn
# Summary(ja): Free kWnn ѳȯ饤֥ȥإåե
# %description -n fkwnndev -l ja
# 
# Υѥåˤ Free kWnn Ѥץ򥳥ѥ뤹뤿
# ɬפʥإåեȥ饤֥ޤǤޤ

%description -n fkwnndev
This package contains the header files and libraries for building
client programs that use the Korean Input System Free kWnn.

SuSE series: j

%prep
######################################################################
# package xwnmo
# I don't know how to build xwnmo. Will try that later ...
# %package -n xwnmo
# Requires: wnn
# Summary: xwnmo - Input Manager for the X11 Window System
# Summary(ja): xwnmo - إɥץåȥޥ͡㡼
# Group: Applications/X11
# 
# %description -n xwnmo 
# 
# Xwnmo is a input manager for the Input Method of the X Window System.
# It is based on the X11 Input Method Specifications.  It provides a
# multi-language input environment for multiple clients in the X11
# Window System. Clients can connect to it by using the XIM library. The
# conversion engine xwnmo uses the internationalized Wnn. It selects
# the conversion server in accordance with language of clients.
# 
# %description -n xwnmo -l ja
# 
# xwnmo ϡإɥץåȥ᥽åѤΥץåȡޥ͡㡼
#  X Window System, Version 11 Input Method Specifications ١
# ޤ xwnmo ϡإɥʣΥ饤ȤФơ¿
# ϴĶ󶡤ޤ饤Ȥϡأɣͥ饤֥ȤȤ
# ꡢxwnmo ѤǤޤѴΥ󥸥ˤϡݲ줿ף
# ޤ饤ȤΥ󥲡˱ơѴФ򤷤ޤ
%setup -q -n FreeWnn-%{base_version}-%{alpha_version}/Xsi
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p1
#%setup -b 1 -n Xsi           # add include-files for Xwnmo
# SuSE setlocale patch, try to set LC_CTYPE if LC_ALL fails (Xwnmo) and
#......................................................................
# %patch2 -p1
# Trying to make Xwnmo work...
#..................................................................
# %patch3 -p1                  

%build
# update config.{guess,sub}
%{?suse_update_config}
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux-gnu
make
pushd Wnn/uum
make
popd

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi
make install DESTDIR=$RPM_BUILD_ROOT
make install.man  DESTDIR=$RPM_BUILD_ROOT 
pushd Wnn/uum
make install DESTDIR=$RPM_BUILD_ROOT
popd
#----------------------------------------------------------------------
# move Japanese man pages to their correct destination:
# (the above 'make install.man' command installs Japanese AND English
#  manpages, but unfortunately all of them into the same directory.
#  The Japanese manpages should be in a subdirectory 'ja'
#  (or maybe ja_JP.eucJP), therefore I move them here:
for i in 1 2 3 4 5 6 7 8 9 ; do
    mkdir -p $RPM_BUILD_ROOT/%{_mandir}/ja/man$i
done
for i in atod.1 atof.1 dtoa.1 jserver.1 oldatonewa.1 uum.1 wddel.1 wdreg.1 \
	  wnnkill.1 wnnstat.1 wnntouch.1
do
	  mv $RPM_BUILD_ROOT/%{_mandir}/man1/$i $RPM_BUILD_ROOT/%{_mandir}/ja/man1/
done
mv $RPM_BUILD_ROOT/%{_mandir}/man3/* $RPM_BUILD_ROOT/%{_mandir}/ja/man3/
for i in 2a_ctrl.4 2b_romkana.4 cvt_key_tbl.4 fzk.data.4 fzk.u.4 \
	  hinsi_data.4 jserverrc.4 mode.4 serverdefs.4 ujis_dic.4 \
	  uumkey.4 uumrc.4 wnnenvrc.4
do
	  mv $RPM_BUILD_ROOT/%{_mandir}/man4/$i $RPM_BUILD_ROOT/%{_mandir}/ja/man4/
done
for i in pubdic.5 usr_dic.5
do
	  mv $RPM_BUILD_ROOT/%{_mandir}/man5/$i $RPM_BUILD_ROOT/%{_mandir}/ja/man5/
done
#----------------------------------------------------------------------
# Make sure directories for of boot script installation exist:
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/usr/sbin
#----------------------------------------------------------------------
# Install boot scripts and rc.config entries:
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/fwnn
install -m 644 %{SOURCE3} \
	     $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.fwnn
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/fcwnn
install -m 644 %{SOURCE5} \
	     $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.fcwnn
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT/etc/init.d/ftwnn
install -m 644 %{SOURCE7} \
	     $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.ftwnn
install -m 755 %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/fkwnn
install -m 644 %{SOURCE9} \
	     $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.fkwnn
#----------------------------------------------------------------------
# Make symbolic links
for i in fwnn fcwnn ftwnn fkwnn ; do
    ( cd $RPM_BUILD_ROOT/usr/sbin; ln -sf ../../etc/init.d/$i rc$i )
done
ln -sf /var/lib/wnn/ja/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ja/dic
ln -sf /var/lib/wnn/zh_CN/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_CN/dic
ln -sf /var/lib/wnn/zh_TW/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_TW/dic
ln -sf /var/lib/wnn/ko_KR/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ko_KR/dic
#----------------------------------------------------------------------
# CHECK
DOCDIR=%{_defaultdocdir}
DOC=""

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n fwnn
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi

%post -n fwnn
# touch all public dictionary files, Update rc.config
chroot . usr/bin/wnntouch var/lib/wnn/ja/dic/gerodic/g-jinmei.dic
chroot . usr/bin/wnntouch var/lib/wnn/ja/dic/pubdic/*.*
# Create symbolic run level links:
sbin/insserv etc/init.d/fwnn
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
   bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.fwnn
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.fwnn"
  echo "and update manually."
fi

%postun -n fwnn
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/
#%post -n fwnndev
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%pre -n fwnncom
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi

%pre -n fcwnn
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi

%post -n fcwnn
# touch all public dictionary files, Update rc.config
chroot . usr/bin/cwnntouch var/lib/wnn/zh_CN/dic/sys/*.*
# Create symbolic run level links:
sbin/insserv etc/init.d/fcwnn
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.fcwnn
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.fcwnn"
  echo "and update manually."
fi

%postun -n fcwnn
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/
#%postun -n fcwnndev
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%pre -n ftwnn
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi

%post -n ftwnn
# touch all public dictionary files, Update rc.config
chroot . usr/bin/cwnntouch var/lib/wnn/zh_TW/dic/sys/*.*
# Create symbolic run level links:
sbin/insserv etc/init.d/ftwnn
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.ftwnn
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.ftwnn"
  echo "and update manually."
fi

%postun -n ftwnn
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%pre -n fkwnn
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -c "Wnn System Account" -d /var/lib/wnn -u 66 wnn -s /bin/false
fi

%post -n fkwnn
# touch all public dictionary files, Update rc.config
chroot . usr/bin/kwnntouch var/lib/wnn/ko_KR/dic/sys/*.*
# Create symbolic run level links:
sbin/insserv etc/init.d/fkwnn
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.fkwnn
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.fkwnn"
  echo "and update manually."
fi

%postun -n fkwnn
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/
#%postun -n fkwnndev
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/init.d/fwnn
%config /usr/sbin/rcfwnn
/var/adm/fillup-templates/rc.config.fwnn
%attr(-,wnn,root) /usr/bin/atod
%attr(-,wnn,root) /usr/bin/dtoa
%attr(-,wnn,root) /usr/bin/oldatonewa
%attr(-,wnn,root) /usr/bin/wdreg
%attr(-,wnn,root) /usr/bin/wnnstat
%attr(-,wnn,root) /usr/bin/atof
%attr(755,wnn,root) /usr/bin/jserver
%attr(-,wnn,root) /usr/bin/wddel
%attr(-,wnn,root) /usr/bin/wnnkill
%attr(-,wnn,root) /usr/bin/uum
%attr(-,wnn,root) /usr/bin/wnntouch
%attr(-,wnn,root) /var/lib/wnn/ja/dic
/etc/FreeWnn/ja/dic
%config /etc/FreeWnn/ja/hinsi.data
%config /etc/FreeWnn/ja/jserverrc
%config /etc/FreeWnn/ja/libwnn.msg
%config /etc/FreeWnn/ja/rk
%config /etc/FreeWnn/ja/rk.vi
%config /etc/FreeWnn/ja/uum.msg
%config /etc/FreeWnn/ja/uumkey
%config /etc/FreeWnn/ja/uumkey.omr
%config /etc/FreeWnn/ja/uumkey_e
%config /etc/FreeWnn/ja/uumrc
%config /etc/FreeWnn/ja/uumrc.omr
%config /etc/FreeWnn/ja/uumrc.rev
%config /etc/FreeWnn/ja/uumrc_e
%config /etc/FreeWnn/ja/uumrc_vi
%config /etc/FreeWnn/ja/wnnenvrc
%config /etc/FreeWnn/ja/wnnenvrc.omr
%config /etc/FreeWnn/ja/wnnenvrc.rem
%config /etc/FreeWnn/ja/wnnenvrc.rev
%config /etc/FreeWnn/ja/wnnenvrc_R
%config /etc/FreeWnn/ja/wnnenvrc_R.omr
%config /etc/FreeWnn/ja/wnnenvrc_R.rem
%config /etc/FreeWnn/ja/wnnstat.msg
/etc/FreeWnn/lt_LN/rk
%config /etc/FreeWnn/lt_LN/uum.msg
%config /etc/FreeWnn/lt_LN/uumkey
%config /etc/FreeWnn/lt_LN/uumkey_e
%config /etc/FreeWnn/lt_LN/uumrc

%files -n fwnndev
%defattr(-,root,root)
/usr/include/wnn/*
/usr/lib/libjd.a
/usr/lib/libwnn.a

%files -n fwnncom
%defattr(-,root,root)
%doc CONTRIBUTORS COPYRIGHT COPYRIGHT-j ChangeLog ChangeLog.old INSTALL
%doc olddoc/ Wnn/manual/ Wnn/manual.en/
%doc cWnn/manual cWnn/manual.en
%doc %{_mandir}/*
%config /etc/FreeWnn/cvt_key_empty
%config /etc/FreeWnn/cvt_key_tbl
%config /etc/FreeWnn/cvt_key_tbl.ST
%config /etc/FreeWnn/cvt_key_tbl.gm
%config /etc/FreeWnn/cvt_key_tbl.kt
%config /etc/FreeWnn/cvt_key_tbl.mv
%config /etc/FreeWnn/cvt_key_tbl.vt
%config /etc/FreeWnn/serverdefs

%files -n fcwnn
%defattr(-,root,root)
%config /etc/init.d/fcwnn
%config /usr/sbin/rcfcwnn
/var/adm/fillup-templates/rc.config.fcwnn
/usr/bin/cwnntouch
%attr(755,wnn,root) /usr/bin/cserver
%config /etc/FreeWnn/zh_CN/cixing.data
%config /etc/FreeWnn/zh_CN/cserverrc
/etc/FreeWnn/zh_CN/dic
%attr(-,wnn,root)/var/lib/wnn/zh_CN/dic
%config /etc/FreeWnn/zh_CN/libwnn.msg
/etc/FreeWnn/zh_CN/rk
/etc/FreeWnn/zh_CN/rk_p
/etc/FreeWnn/zh_CN/rk_z
/etc/FreeWnn/zh_CN/uum.msg
/etc/FreeWnn/zh_CN/uumkey
/etc/FreeWnn/zh_CN/uumkey_e
/etc/FreeWnn/zh_CN/uumkey_p
%config /etc/FreeWnn/zh_CN/uumrc
%config /etc/FreeWnn/zh_CN/uumrc_p
%config /etc/FreeWnn/zh_CN/uumrc_z
%config /etc/FreeWnn/zh_CN/wnnenvrc
%config /etc/FreeWnn/zh_CN/wnnenvrc_Qi
%config /etc/FreeWnn/zh_CN/wnnenvrc_QiR
%config /etc/FreeWnn/zh_CN/wnnenvrc_R
%config /etc/FreeWnn/zh_CN/wnnenvrc_Wu
%config /etc/FreeWnn/zh_CN/wnnenvrc_WuR
%config /etc/FreeWnn/zh_CN/wnnstat.msg

%files -n fcwnncom
%defattr(-,root,root)
/usr/bin/catod
/usr/bin/catof                  
/usr/bin/cdtoa
/usr/bin/cwddel
/usr/bin/cwdreg
/usr/bin/cwnnkill
/usr/bin/cwnnstat
/usr/bin/cwnntouch

%files -n fcwnndev
/usr/include/cwnn/*
/usr/lib/libcwnn.a

%files -n ftwnn
%defattr(-,root,root)
%config /etc/init.d/ftwnn
%config /usr/sbin/rcftwnn
/var/adm/fillup-templates/rc.config.ftwnn
/usr/bin/cwnntouch
%attr(755,wnn,root) /usr/bin/tserver
%config /etc/FreeWnn/zh_TW/cixing.data
/etc/FreeWnn/zh_TW/dic
%attr(-,wnn,root) /var/lib/wnn/zh_TW/dic
%config /etc/FreeWnn/zh_TW/libwnn.msg
/etc/FreeWnn/zh_TW/rk
/etc/FreeWnn/zh_TW/rk_p
/etc/FreeWnn/zh_TW/rk_z
%config /etc/FreeWnn/zh_TW/tserverrc
%config /etc/FreeWnn/zh_TW/uum.msg
%config /etc/FreeWnn/zh_TW/uumkey
%config /etc/FreeWnn/zh_TW/uumkey_e
%config /etc/FreeWnn/zh_TW/uumkey_p
%config /etc/FreeWnn/zh_TW/uumrc
%config /etc/FreeWnn/zh_TW/uumrc_p
%config /etc/FreeWnn/zh_TW/uumrc_z
%config /etc/FreeWnn/zh_TW/wnnenvrc
%config /etc/FreeWnn/zh_TW/wnnenvrc_R
%config /etc/FreeWnn/zh_TW/wnnstat.msg

%files -n fkwnn
%defattr(-,root,root)
%config /etc/init.d/fkwnn
%config /usr/sbin/rcfkwnn
/var/adm/fillup-templates/rc.config.fkwnn
%attr(755,wnn,root) /usr/bin/kserver
/usr/bin/katod
/usr/bin/katof
/usr/bin/kdtoa
/usr/bin/kwddel
/usr/bin/kwdreg
/usr/bin/kwnnkill
/usr/bin/kwnnstat
/usr/bin/kwnntouch
/etc/FreeWnn/ko_KR/dic
%attr(-,wnn,root) /var/lib/wnn/ko_KR/dic
%config /etc/FreeWnn/ko_KR/hinsi.data
%config /etc/FreeWnn/ko_KR/kserverrc
%config /etc/FreeWnn/ko_KR/libwnn.msg
/etc/FreeWnn/ko_KR/rk
%config /etc/FreeWnn/ko_KR/uum.msg
%config /etc/FreeWnn/ko_KR/uumkey
%config /etc/FreeWnn/ko_KR/uumrc
%config /etc/FreeWnn/ko_KR/wnnenvrc
%config /etc/FreeWnn/ko_KR/wnnenvrc_R
%config /etc/FreeWnn/ko_KR/wnnstat.msg

%files -n fkwnndev
%defattr(-,root,root)
/usr/include/kwnn/*
/usr/lib/libkwnn.a
# I don't know how to build xwnmo. Will try that later ...
# %files -n xwnmo
# %doc Xwnmo/manual Xwnmo/manual.en Xwnmo/README Xwnmo/README.j
# %doc Xwnmo/X11R6/README Xwnmo/X11R6/include/README 
# %doc Xwnmo/xjutil/README Xwnmo/xjutil/README.j Xwnmo/xwnmo/README
# %doc Xwnmo/xwnmo/README.j Xwnmo/xwnmo/SEP_README Xwnmo/xwnmo/SEP_README.j
# /usr/X11R6/lib/X11/app-defaults/Xwnmo
# /usr/X11R6/bin/xwnmo
# /usr/X11R6/bin/killxwnmo
# /usr/X11R6/bin/xjutil
# /usr/X11R6/man/ja_JP.ujis/man1/xwnmo.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/ximrc.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/ximconf.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/cvt_fun_tbl.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/cvt_meta_tbl.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/killxwnmo.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/cvt_xim_tbl.1.gz
# /usr/X11R6/man/ja_JP.ujis/man1/xjutil.1.gz
# /usr/X11R6/man/man1/xwnmo.1.gz
# /usr/X11R6/man/man1/ximrc.1.gz
# /usr/X11R6/man/man1/ximconf.1.gz
# /usr/X11R6/man/man1/cvt_fun_tbl.1.gz
# /usr/X11R6/man/man1/cvt_meta_tbl.1.gz
# /usr/X11R6/man/man1/killxwnmo.1.gz
# /usr/X11R6/man/man1/cvt_xim_tbl.1.gz
# /usr/X11R6/man/man1/xjutil.1.gz
# /var/lib/wnn/ja_JP/uumrc.xim
# /var/lib/wnn/ja_JP/uumrc_vi.xim
# /var/lib/wnn/ja_JP/uumrc_e.xim
# /var/lib/wnn/ja_JP/uumkey.xim
# /var/lib/wnn/ja_JP/uumkey_v.xim
# /var/lib/wnn/ja_JP/uumkey_e.xim
# /var/lib/wnn/ja_JP/xim.msg
# /var/lib/wnn/ja_JP/xjutil.msg
# /var/lib/wnn/lt_LN/uumrc.xim
# /var/lib/wnn/lt_LN/uumkey.xim
# /var/lib/wnn/lt_LN/xim.msg
# /var/lib/wnn/zh_CN/uumrc.xim
# /var/lib/wnn/zh_CN/uumrc_p.xim
# /var/lib/wnn/zh_CN/uumrc_z.xim
# /var/lib/wnn/zh_CN/uumkey.xim
# /var/lib/wnn/zh_CN/uumkey_p.xim
# /var/lib/wnn/zh_CN/xim.msg
# /var/lib/wnn/zh_CN/xjutil.msg
# /var/lib/wnn/zh_TW/uumrc.xim
# /var/lib/wnn/zh_TW/uumrc_p.xim
# /var/lib/wnn/zh_TW/uumrc_z.xim
# /var/lib/wnn/zh_TW/uumkey.xim
# /var/lib/wnn/zh_TW/uumkey_p.xim
# /var/lib/wnn/zh_TW/xim.msg
# /var/lib/wnn/zh_TW/xjutil.msg
# /var/lib/wnn/ko_KR/uumrc.xim
# /var/lib/wnn/ko_KR/uumkey.xim
# /var/lib/wnn/ko_KR/xim.msg
# /var/lib/wnn/ko_KR/xjutil.msg
# %config /var/lib/wnn/ximconf
# %config /var/lib/wnn/ximrc
# %config /var/lib/wnn/ximrc_vi
# %config /var/lib/wnn/cvt_xim_tbl

%changelog -n fwnn
* Thu Sep 06 2001 - mfabian@suse.de
- set START_FREE_TWNN="no", START_FREE_KWNN="no",
  START_FREE_CWNN="no",
* Tue Sep 04 2001 - schwab@suse.de
- Add prototypes for C++, constify.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu May 03 2001 - mfabian@suse.de
- make init scripts comply with latest LSB spec
* Tue Dec 05 2000 - schwab@suse.de
- Fix missing declarations.
* Tue Nov 28 2000 - mfabian@suse.de
- forgot to change the links to the init scripts to /etc/init.d
  fixed.
* Mon Nov 27 2000 - mfabian@suse.de
- removed sockets before starting the FreeWnn servers.
  sometimes these sockets remained after killing a FreeWnn server,
  which prevented the restart.
* Mon Nov 27 2000 - mfabian@suse.de
- added "route named" to "Required-Start:"
- moved init scripts to /etc/init.d
* Fri Nov 24 2000 - mfabian@suse.de
- change to new init script mechanism:
  rewrote the init scripts to use insserv to handle links to
  init scripts.
* Wed Nov 01 2000 - mfabian@suse.de
- made the command line client "uum" work.
* Mon Oct 30 2000 - mfabian@suse.de
- moved all manpages into the fwnncom subpackage
* Fri Oct 27 2000 - bk@suse.de
- fixed startproc call, useradd and server permissions
* Wed Oct 25 2000 - mfabian@suse.de
- new package: fwnn (FreeWnn, Version 1.1.1-a017)
